Subject: [alpine-devel] [PATCH 1/3] testing/libee: new package

From: Cameron Banta <[email-masked]>
Date: Mon, 2 Apr 2012 14:26:18 +0000

this library is a dependency for new version of rsyslog
---
 testing/libee/APKBUILD |   32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 testing/libee/APKBUILD

diff --git a/testing/libee/APKBUILD b/testing/libee/APKBUILD
new file mode 100644
index 0000000..6c40319
--- /dev/null
+++ b/testing/libee/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Uros Kolar <[email-masked]>
+# Maintainer: Cameron Banta <[email-masked]>
+pkgname=libee
+pkgver=0.4.0
+pkgrel=0
+pkgdesc="event Expression Library inspired by CEE"
+url="http://www.libee.org"
+arch="all"
+license="LGPL2.1"
+makedepends="libestr-dev"
+options="libtool"
+subpackages="$pkgname-dev"
+source="http://www.libee.org/download/files/download/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	cd "$_builddir"
+	./configure --prefix=/usr || return 1
+}
+
+build() {
+	cd "$_builddir"
+	#make fails on parallel builds
+	make -j1 || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="257a23d5cc8f211fb99464a462bc92cd  libee-0.4.0.tar.gz"
-- 
1.7.9.5

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Cameron Banta <[email-masked]>
Date: Mon, 2 Apr 2012 14:26:19 +0000

this library is a dependency for new version of rsyslog
---
 testing/libestr/APKBUILD |   30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/libestr/APKBUILD

diff --git a/testing/libestr/APKBUILD b/testing/libestr/APKBUILD
new file mode 100644
index 0000000..2b07af1
--- /dev/null
+++ b/testing/libestr/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Uros
+# Maintainer: Cameron Banta <[email-masked]>
+pkgname=libestr
+pkgver=0.1.2
+pkgrel=0
+pkgdesc="essentials for string handling (and a bit more)"
+url="http://libestr.adiscon.com"
+arch="all"
+license="LGPL2.1"
+options="libtool"
+subpackages="$pkgname-dev"
+source="http://libestr.adiscon.com/files/download/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	cd "$_builddir"
+	./configure --prefix=/usr || return 1
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="30ec4054155dc7d7e9b06418181c4f12  libestr-0.1.2.tar.gz"
-- 
1.7.9.5

---

---

From: Cameron Banta <[email-masked]>
Date: Mon, 2 Apr 2012 14:26:20 +0000

---
 testing/rsyslog/APKBUILD |   17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

diff --git a/testing/rsyslog/APKBUILD b/testing/rsyslog/APKBUILD
index e985abb..83e7a43 100644
--- a/testing/rsyslog/APKBUILD
+++ b/testing/rsyslog/APKBUILD
@@ -1,14 +1,14 @@
-# Contributor: [email-masked]
 # Maintainer: [email-masked]
+# Contributor: [email-masked]
 pkgname=rsyslog
-pkgver=5.8.7
-pkgrel=1
+pkgver=6.2.0
+pkgrel=0
 pkgdesc="Enhanced multi-threaded syslogd with database support and more."
 url="http://www.rsyslog.com/"
 arch="all"
 license="GPLv3 LGPL-3"
 makedepends="zlib-dev gnutls-dev mysql-dev postgresql-dev net-snmp-dev
-	libnet-dev libgcrypt-dev"
+	libnet-dev libgcrypt-dev libee-dev libestr-dev"
 subpackages="$pkgname-doc $pkgname-mysql $pkgname-pgsql $pkgname-tls $pkgname-snmp"
 source="http://www.rsyslog.com/files/download/$pkgname/$pkgname-$pkgver.tar.gz
 	$pkgname.initd
@@ -19,8 +19,9 @@ source="http://www.rsyslog.com/files/download/$pkgname/$pkgname-$pkgver.tar.gz
 
 _builddir="$srcdir"/$pkgname-$pkgver
 
-build() {
+prepare() {
 	cd "$_builddir"
+	export LDFLAGS="-lestr"
 	./configure \
 		--disable-gui \
 		--disable-rfc3195 \
@@ -42,6 +43,10 @@ build() {
 		--sysconfdir=/etc \
 		--mandir=/usr/share/man \
 		--infodir=/usr/share/info
+}
+
+build() {
+	cd "$_builddir"
 	make || return 1
 }
 
@@ -80,7 +85,7 @@ snmp() {
 	mv "$pkgdir"/usr/lib/rsyslog/omsnmp.so "$subpkgdir"/usr/lib/rsyslog/
 }
 
-md5sums="d806a91de534d6e33d7d1c1138cfdd37  rsyslog-5.8.7.tar.gz
+md5sums="03e237abaa5d47f92c6e655f92f22532  rsyslog-6.2.0.tar.gz
 b3fcedb16f9de2d9434ce4c89004a73b  rsyslog.initd
 0a0aef98f677364e6178c34274df7723  rsyslog.confd
 bc43debc9ffdf66bc1409025fd3d1176  rsyslog.logrotate
-- 
1.7.9.5

---